summaryrefslogtreecommitdiffstats
path: root/system/man-pages-ja/man-pages-ja.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/man-pages-ja/man-pages-ja.SlackBuild')
-rw-r--r--system/man-pages-ja/man-pages-ja.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/system/man-pages-ja/man-pages-ja.SlackBuild b/system/man-pages-ja/man-pages-ja.SlackBuild
new file mode 100644
index 0000000000..30e75e9a1e
--- /dev/null
+++ b/system/man-pages-ja/man-pages-ja.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for man-pages-ja
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=man-pages-ja
+VERSION=${VERSION:-20140815}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# I'm almost certain this is correct, based on how other distros do it.
+# The other possibility was "ja.UTF-8". A /usr/man/jp dir does exist on
+# Slackware (containing cdparanoia's man pages), but it shouldn't.
+MANLANG=ja
+
+# this thing uses an interactive script with lots of prompts, not
+# suited to automated builds. the patch just makes the script read
+# from the environment instead of stdin, and gets rid of the 120 or
+# so prompts for the sub-package conflicts (just taking the default).
+
+patch -p1 < $CWD/noninteractive_install.diff
+MANROOT=$PKG/usr/man/$MANLANG make config
+make install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README_SBo.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}